Bug 123400 - find cannot be killed
find cannot be killed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-17 23:16 EDT by Joe Pepersack
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Pepersack 2004-05-17 23:16:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Errant find searches cannot be killed off or suspended by any means:
ctrl-c, ctrl-z, termination of shell, kill -9, killall, etc:

EG:
xterm -e ssh fedorabox &
( in xterm )
me@fedorabox % find / -name something

ctrl-c has no effect
ctrl-z has no effect
in new ssh session: kill -9 `ps -ef | grep "find / -name something"` 
  no effect
kill xterm with search, ssh into fedorabox, ps shows find is still running
kill parent process of find, parent process dies and find becomes a
child of process 1.  

Zombie find processes remain unkillable until system is rebooted.

Version-Release number of selected component (if applicable):
findutils-4.1.7-17

How reproducible:
Always

Steps to Reproduce:
1. run find
2. try to kill it (eg kill -9)
    

Actual Results:  It does not die

Expected Results:  It should die

Additional info:
Comment 1 Tim Waugh 2004-05-18 04:26:17 EDT
Works for me.  If kill -9 doesn't work it's a kernel problem.
Comment 2 Joe Pepersack 2004-06-01 12:13:42 EDT
I've only noticed this happening on my server, an HP LPr P2/450.  I
run FC1 inside a VMWare on my Dell Inspiron 8200 and was not able to
reproduce the problem there; it's still 100% reproducable on my server.

[tassach@argonath ~]% uname -a
Linux argonath.pepersack.net 2.4.22-1.2188.nptl #1 Wed Apr 21 20:36:05
EDT 2004 i686 i686 i386 GNU/Linux
Comment 3 David Lawrence 2004-09-29 16:27:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.